'use strict';

/**
 * Module dependencies.
 */

var integration = require('@segment/analytics.js-integration');

/**
 * Expose `Stripe` integration.
 */

var StripeRadar = module.exports = integration('Stripe Radar')
  .option('apiKey', '')
  .tag('<script src="https://js.stripe.com/v2/">');

/**
 * Initialize.
 *
 * @api public
 */

StripeRadar.prototype.initialize = function() {
  var self = this;
  window.Stripe = window.Stripe || {};
  this.load(function() {
    // https://stripe.com/docs/stripe.js?#setting-publishable-key
    window.Stripe.setPublishableKey(self.options.apiKey);
    self.ready();
  });
};

/**
 * Loaded?
 *
 * @api private
 * @return {boolean}
 */

StripeRadar.prototype.loaded = function() {
  return window.Stripe;
};

